package com.mayi.fastdevelop.api;

import com.mayi.fastdevelop.bean.UserInfo;
import com.mayi.fastdevelop.comnon.HttpUrl;
import com.mayi.fastdevelop.okhttp.NetWorkBuilder;
import com.mayi.fastdevelop.okhttp.ResultCallback;

public class UserAPI {

    public static void login(String mobile, String password, ResultCallback<UserInfo> callback) {
        new NetWorkBuilder().setUrl(HttpUrl.URL_LOGIN)
                .addParam("mobile", mobile)
                .addParam("password", password)
                .setCallback(callback)
                .execute();
    }

}
